<?php

/**
 * @file
 * Drush hooks for the User Access Hub module.
 */

/**
 * Implements hook_drush_help().
 */
function useraccesshub_drush_help($section) {
  switch ($section) {
    case 'meta:useraccesshub:title':
      return dt('User Access Hub commands');

    case 'meta:useraccesshub:summary':
      return dt('Interact with the User Access Hub module.');

    case 'drush:useraccesshub:handshake_disable':
      return dt('Disable the handshake endpoint.');

    case 'drush:useraccesshub:handshake_enable':
      return dt('Enable the handshake endpoint.');

  }
}

/**
 * Implements hook_drush_command().
 */
function useraccesshub_drush_command() {
  $commands['useraccesshub:handshake_disable'] = array(
    'callback' => 'drush_useraccesshub_handshake_disable',
    'description' => 'Disable the handshake endpoint.',
    'aliases' => array('uah:hd'),
    'examples' => array(
      'drush uah:hd' => 'Disable the handshake endpoint.',
    ),
  );
  $commands['useraccesshub:handshake_enable'] = array(
    'callback' => 'drush_useraccesshub_handshake_enable',
    'description' => 'Enable the handshake endpoint.',
    'aliases' => array('uah:hen'),
    'examples' => array(
      'drush uah:hd' => 'Enable the handshake endpoint.',
    ),
  );

  return $commands;
}

/**
 * Disable the handshake endpoint.
 */
function drush_useraccesshub_handshake_disable() {
  variable_set('useraccesshub_handshake_enabled', FALSE);
  drush_print('Handshake endpoint disabled successfully.');
}

/**
 * Enable the handshake endpoint.
 */
function drush_useraccesshub_handshake_enable() {
  variable_set('useraccesshub_handshake_enabled', TRUE);
  drush_print('Handshake endpoint enabled successfully.');
}
